Get instrument prices
curl --request POST \
--url https://{host}/cdp-api/api/price/get-page \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bookmark": null,
"queryArgs": {
"instrumentPrice": {
"instrumentId": {
"filters": [
{
"group": 0,
"operator": "EQUALS",
"value": 5678
}
]
},
"businessDate": {
"filters": [
{
"group": 0,
"operator": "EQUALS",
"value": "2026-05-30"
}
]
}
}
},
"rangeLimit": 50,
"paging": "NEXT_PAGE"
}
'import requests
url = "https://{host}/cdp-api/api/price/get-page"
payload = {
"bookmark": None,
"queryArgs": { "instrumentPrice": {
"instrumentId": { "filters": [
{
"group": 0,
"operator": "EQUALS",
"value": 5678
}
] },
"businessDate": { "filters": [
{
"group": 0,
"operator": "EQUALS",
"value": "2026-05-30"
}
] }
} },
"rangeLimit": 50,
"paging": "NEXT_PAGE"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bookmark: null,
queryArgs: {
instrumentPrice: {
instrumentId: {filters: [{group: 0, operator: 'EQUALS', value: 5678}]},
businessDate: {filters: [{group: 0, operator: 'EQUALS', value: '2026-05-30'}]}
}
},
rangeLimit: 50,
paging: 'NEXT_PAGE'
})
};
fetch('https://{host}/cdp-api/api/price/get-page', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/cdp-api/api/price/get-page",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'bookmark' => null,
'queryArgs' => [
'instrumentPrice' => [
'instrumentId' => [
'filters' => [
[
'group' => 0,
'operator' => 'EQUALS',
'value' => 5678
]
]
],
'businessDate' => [
'filters' => [
[
'group' => 0,
'operator' => 'EQUALS',
'value' => '2026-05-30'
]
]
]
]
],
'rangeLimit' => 50,
'paging' => 'NEXT_PAGE'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/cdp-api/api/price/get-page"
payload := strings.NewReader("{\n \"bookmark\": null,\n \"queryArgs\": {\n \"instrumentPrice\": {\n \"instrumentId\": {\n \"filters\": [\n {\n \"group\": 0,\n \"operator\": \"EQUALS\",\n \"value\": 5678\n }\n ]\n },\n \"businessDate\": {\n \"filters\": [\n {\n \"group\": 0,\n \"operator\": \"EQUALS\",\n \"value\": \"2026-05-30\"\n }\n ]\n }\n }\n },\n \"rangeLimit\": 50,\n \"paging\": \"NEXT_PAGE\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/cdp-api/api/price/get-page")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"bookmark\": null,\n \"queryArgs\": {\n \"instrumentPrice\": {\n \"instrumentId\": {\n \"filters\": [\n {\n \"group\": 0,\n \"operator\": \"EQUALS\",\n \"value\": 5678\n }\n ]\n },\n \"businessDate\": {\n \"filters\": [\n {\n \"group\": 0,\n \"operator\": \"EQUALS\",\n \"value\": \"2026-05-30\"\n }\n ]\n }\n }\n },\n \"rangeLimit\": 50,\n \"paging\": \"NEXT_PAGE\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/cdp-api/api/price/get-page")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"bookmark\": null,\n \"queryArgs\": {\n \"instrumentPrice\": {\n \"instrumentId\": {\n \"filters\": [\n {\n \"group\": 0,\n \"operator\": \"EQUALS\",\n \"value\": 5678\n }\n ]\n },\n \"businessDate\": {\n \"filters\": [\n {\n \"group\": 0,\n \"operator\": \"EQUALS\",\n \"value\": \"2026-05-30\"\n }\n ]\n }\n }\n },\n \"rangeLimit\": 50,\n \"paging\": \"NEXT_PAGE\"\n}"
response = http.request(request)
puts response.read_body{
"bookmark": "eyJsYXN0S2V5IjoiNTY3OC0yMDI2LTA1LTMwIn0=",
"content": [
{
"instrumentPrice": {
"businessDate": "2026-05-30",
"instrumentId": 5678,
"priceTag": "SETTLEMENT",
"priceType": "NORMAL",
"price": 27350.75,
"auditData": {
"lastUpdatedBy": "price-feed",
"lastUpdatedAt": "2026-05-30T18:00:01.000Z"
}
},
"instrumentCode": "BTCUSD-FUT-JUN26"
},
{
"instrumentPrice": {
"businessDate": "2026-05-30",
"instrumentId": 5678,
"priceTag": "INTRADAY_SETTLEMENT",
"priceType": "NORMAL",
"price": 27345,
"auditData": {
"lastUpdatedBy": "price-feed",
"lastUpdatedAt": "2026-05-30T14:00:00.000Z"
}
},
"instrumentCode": "BTCUSD-FUT-JUN26"
}
],
"atEnd": true
}Prices
Get instrument prices
Returns a page of instrument prices.
POST
/
api
/
price
/
get-page
Get instrument prices
curl --request POST \
--url https://{host}/cdp-api/api/price/get-page \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bookmark": null,
"queryArgs": {
"instrumentPrice": {
"instrumentId": {
"filters": [
{
"group": 0,
"operator": "EQUALS",
"value": 5678
}
]
},
"businessDate": {
"filters": [
{
"group": 0,
"operator": "EQUALS",
"value": "2026-05-30"
}
]
}
}
},
"rangeLimit": 50,
"paging": "NEXT_PAGE"
}
'import requests
url = "https://{host}/cdp-api/api/price/get-page"
payload = {
"bookmark": None,
"queryArgs": { "instrumentPrice": {
"instrumentId": { "filters": [
{
"group": 0,
"operator": "EQUALS",
"value": 5678
}
] },
"businessDate": { "filters": [
{
"group": 0,
"operator": "EQUALS",
"value": "2026-05-30"
}
] }
} },
"rangeLimit": 50,
"paging": "NEXT_PAGE"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bookmark: null,
queryArgs: {
instrumentPrice: {
instrumentId: {filters: [{group: 0, operator: 'EQUALS', value: 5678}]},
businessDate: {filters: [{group: 0, operator: 'EQUALS', value: '2026-05-30'}]}
}
},
rangeLimit: 50,
paging: 'NEXT_PAGE'
})
};
fetch('https://{host}/cdp-api/api/price/get-page', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/cdp-api/api/price/get-page",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'bookmark' => null,
'queryArgs' => [
'instrumentPrice' => [
'instrumentId' => [
'filters' => [
[
'group' => 0,
'operator' => 'EQUALS',
'value' => 5678
]
]
],
'businessDate' => [
'filters' => [
[
'group' => 0,
'operator' => 'EQUALS',
'value' => '2026-05-30'
]
]
]
]
],
'rangeLimit' => 50,
'paging' => 'NEXT_PAGE'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/cdp-api/api/price/get-page"
payload := strings.NewReader("{\n \"bookmark\": null,\n \"queryArgs\": {\n \"instrumentPrice\": {\n \"instrumentId\": {\n \"filters\": [\n {\n \"group\": 0,\n \"operator\": \"EQUALS\",\n \"value\": 5678\n }\n ]\n },\n \"businessDate\": {\n \"filters\": [\n {\n \"group\": 0,\n \"operator\": \"EQUALS\",\n \"value\": \"2026-05-30\"\n }\n ]\n }\n }\n },\n \"rangeLimit\": 50,\n \"paging\": \"NEXT_PAGE\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/cdp-api/api/price/get-page")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"bookmark\": null,\n \"queryArgs\": {\n \"instrumentPrice\": {\n \"instrumentId\": {\n \"filters\": [\n {\n \"group\": 0,\n \"operator\": \"EQUALS\",\n \"value\": 5678\n }\n ]\n },\n \"businessDate\": {\n \"filters\": [\n {\n \"group\": 0,\n \"operator\": \"EQUALS\",\n \"value\": \"2026-05-30\"\n }\n ]\n }\n }\n },\n \"rangeLimit\": 50,\n \"paging\": \"NEXT_PAGE\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/cdp-api/api/price/get-page")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"bookmark\": null,\n \"queryArgs\": {\n \"instrumentPrice\": {\n \"instrumentId\": {\n \"filters\": [\n {\n \"group\": 0,\n \"operator\": \"EQUALS\",\n \"value\": 5678\n }\n ]\n },\n \"businessDate\": {\n \"filters\": [\n {\n \"group\": 0,\n \"operator\": \"EQUALS\",\n \"value\": \"2026-05-30\"\n }\n ]\n }\n }\n },\n \"rangeLimit\": 50,\n \"paging\": \"NEXT_PAGE\"\n}"
response = http.request(request)
puts response.read_body{
"bookmark": "eyJsYXN0S2V5IjoiNTY3OC0yMDI2LTA1LTMwIn0=",
"content": [
{
"instrumentPrice": {
"businessDate": "2026-05-30",
"instrumentId": 5678,
"priceTag": "SETTLEMENT",
"priceType": "NORMAL",
"price": 27350.75,
"auditData": {
"lastUpdatedBy": "price-feed",
"lastUpdatedAt": "2026-05-30T18:00:01.000Z"
}
},
"instrumentCode": "BTCUSD-FUT-JUN26"
},
{
"instrumentPrice": {
"businessDate": "2026-05-30",
"instrumentId": 5678,
"priceTag": "INTRADAY_SETTLEMENT",
"priceType": "NORMAL",
"price": 27345,
"auditData": {
"lastUpdatedBy": "price-feed",
"lastUpdatedAt": "2026-05-30T14:00:00.000Z"
}
},
"instrumentCode": "BTCUSD-FUT-JUN26"
}
],
"atEnd": true
}Authorizations
Body
application/json
Query request for instrument prices.
Response
200 - application/json
A page of results.
Was this page helpful?